<template>
    <div class="main">
        <keep-alive include="*">
            <router-view class="router"> </router-view>
        </keep-alive>
    </div>

</template>
<script>
import { mapState } from "vuex";
export default {
    name: '',
    data() {
        return {

        }
    },
    computed: {
        ...mapState(["locationInfo"])
    },
    created() {

    },
    mounted() {

    },
    watch: {

    },
    methods: {
    }
}
</script>
<style lang="less" scoped>
@import '../styles/variables.less';
.main {
    background-color: @bgColor;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    overflow: auto;
    -webkit-overflow-scrolling: touch;
    display: flex;
    .router{
        flex-grow: 1;
    }
}
</style>


